
Vn.AddressList = new Class
({
	Extends: Vn.Module

	,activate: function ()
	{
		this.$('user-model').setInfo ('c', 'customer_view', 'hedera');
		this.$('addresses').setInfo ('a', 'address_view', 'hedera');
	}
	
	,onAddAddressClick: function ()
	{
		this.hash.set ({
			'form': 'account/address',
			'address': 0
		});
	}
	
	,onReturnClick: function ()
	{
		window.history.back();
	}
	
	,onRemoveAddressClick: function (button, form)
	{
		if (confirm (_('AreYouSureDeleteAddress')))
		{
			form.set ('active', false);
			form.refresh ();
		}
	}
	
	,onEditAddressClick: function (button, form)
	{
		this.hash.set ({
			'form': 'account/address',
			'address': form.get ('id')
		});
	}
});

